import { AstNode, KNativePointer, ArktsObject } from "../../src/reexport-for-generated";
export declare class SrcDumper extends ArktsObject {
    constructor(pointer: KNativePointer);
    static create1SrcDumper(node: AstNode | undefined, isDeclgen: boolean): SrcDumper;
    /** @deprecated */
    add(str: string): this;
    /** @deprecated */
    add1(ch: number): this;
    /** @deprecated */
    add2(i: number): this;
    /** @deprecated */
    add3(i: number): this;
    /** @deprecated */
    add4(i: number): this;
    /** @deprecated */
    add5(l: number): this;
    /** @deprecated */
    add6(f: number): this;
    /** @deprecated */
    add7(d: number): this;
    get str(): string;
    /** @deprecated */
    incrIndent(): this;
    /** @deprecated */
    decrIndent(): this;
    /** @deprecated */
    endl(num: number): this;
    get isDeclgen(): boolean;
    /** @deprecated */
    tryDeclareAmbientContext(): this;
    /** @deprecated */
    dumpJsdocBeforeTargetNode(inputNode?: AstNode): this;
    /** @deprecated */
    dumpExports(): this;
    /** @deprecated */
    setDefaultExport(): this;
    get hasDefaultExport(): boolean;
    protected readonly brandSrcDumper: undefined;
}
export declare function isSrcDumper(node: object | undefined): node is SrcDumper;
